summaryrefslogtreecommitdiffstats
path: root/utils
diff options
context:
space:
mode:
Diffstat (limited to 'utils')
-rwxr-xr-xutils/docs-build.sh77
-rwxr-xr-xutils/test/result_collection_api/dashboard/bottlenecks2Dashboard.py99
2 files changed, 146 insertions, 30 deletions
diff --git a/utils/docs-build.sh b/utils/docs-build.sh
index fc607fa15..914eaf207 100755
--- a/utils/docs-build.sh
+++ b/utils/docs-build.sh
@@ -3,10 +3,11 @@
export PATH=$PATH:/usr/local/bin/
-SRC_DIR=${SRC_DIR:-docs}
+DOCS_DIR=${DOCS_DIR:-docs}
INDEX_RST=${INDEX_RST:-index.rst}
-BUILD_DIR=${BUILD_DIR:-build}
-OUTPUT_DIR=${OUTPUT_DIR:-output}
+BUILD_DIR=${BUILD_DIR:-docs_build}
+OUTPUT_DIR=${OUTPUT_DIR:-docs_output}
+SRC_DIR=${SRC_DIR:-$BUILD_DIR/_src}
RELENG_DIR=${RELENG_DIR:-releng}
GERRIT_COMMENT=${GERRIT_COMMENT:-}
@@ -48,7 +49,7 @@ function check_rst_doc() {
# Note: This check may fail in many jobs for building project docs, since
# the old sample has lines more than 120. We ignore failures on this
# check right now, but these have to be fixed before OPNFV B release.
- _out=$(doc8 --max-line-length 120 "$_src") || {
+ _out=$(doc8 --max-line-length 120 --ignore D000 "$_src") || {
_msg='Error: rst validatino (doc8) has failed, please fix the following error(s).'
_errs=$(echo "$_out" | sed -n -e "/^$_src/s/^/ /p")
echo
@@ -60,17 +61,27 @@ function check_rst_doc() {
function add_html_notes() {
_src="$1"
- _dir="$2"
- if grep -q -e ' _sha1_' "$_src"/*.rst ; then
- # TODO: remove this, once old templates were removed from all repos.
- echo
- echo "Warn: '_sha1_' was found in $_dir , use the latest document template."
- echo " See https://wiki.opnfv.org/documentation/tools ."
- echo
- sed -i "s/ _sha1_/ $git_sha1/g" "$_src"/*.rst
- fi
- sed -i -e "\$a\\\n.. only:: html\n$html_notes" "$_src"/*.rst
+ find "$_src" -name '*.rst' | while read file
+ do
+ if grep -q -e ' _sha1_' "$file" ; then
+ # TODO: remove this, once old templates were removed from all repos.
+ echo
+ echo "Warn: '_sha1_' was found in [$file], use the latest document template."
+ echo " See https://wiki.opnfv.org/documentation/tools ."
+ echo
+ sed -i "s/ _sha1_/ $git_sha1/g" "$file"
+ fi
+ sed -i -e "\$a\\\n.. only:: html\n$html_notes" "$file"
+ done
+}
+
+function prepare_src_files() {
+ mkdir -p "$(dirname $SRC_DIR)"
+
+ [[ -e "$SRC_DIR" ]] && rm -rf "$SRC_DIR"
+ cp -r "$DOCS_DIR" "$SRC_DIR"
+ add_html_notes "$SRC_DIR"
}
function add_config() {
@@ -85,19 +96,19 @@ function add_config() {
}
function is_top_dir() {
- [[ "$1" == "$SRC_DIR" ]]
+ [[ "$1" == "$DOCS_DIR" ]]
}
function generate_name_for_top_dir() {
for suffix in '' '.top' '.all' '.master' '_' '__' '___'
do
- _name="$(basename $SRC_DIR)$suffix"
- [[ -e "$SRC_DIR/$_name" ]] && continue
+ _name="$(basename $DOCS_DIR)$suffix"
+ [[ -e "$DOCS_DIR/$_name" ]] && continue
echo "$_name"
return
done
- echo "Error: cannot find name for top directory [$SRC_DIR]"
+ echo "Error: cannot find name for top directory [$DOCS_DIR]"
exit 1
}
@@ -105,25 +116,28 @@ function generate_name() {
_dir=$1
if is_top_dir "$_dir" ; then
- _name=$(generate_name_for_top_dir $SRC_DIR)
+ _name=$(generate_name_for_top_dir $DOCS_DIR)
else
- _name="${_dir#$SRC_DIR/}"
+ _name="${_dir#$DOCS_DIR/}"
fi
# Replace '/' by '_'
echo "${_name////_}"
}
-check_rst_doc $SRC_DIR
+
+check_rst_doc $DOCS_DIR
if [[ ! -d "$RELENG_DIR" ]] ; then
echo "Error: $RELENG_DIR dir not found. See https://wiki.opnfv.org/documentation/tools ."
exit 1
fi
-find $SRC_DIR -name $INDEX_RST -printf '%h\n' | while read dir
+prepare_src_files
+
+find $DOCS_DIR -name $INDEX_RST -printf '%h\n' | while read dir
do
name=$(generate_name $dir)
- src="$BUILD_DIR/src/$name"
+ src="$SRC_DIR/${dir#$DOCS_DIR/}"
build="$BUILD_DIR/$name"
output="$OUTPUT_DIR/$name"
conf="$src/conf.py"
@@ -134,12 +148,6 @@ do
echo "#################${dir//?/#}"
echo
- mkdir -p "$BUILD_DIR/src"
- [[ -e "$src" ]] && rm -rf "$src"
- cp -r "$dir" "$src"
-
- add_html_notes "$src" "$dir"
-
[[ ! -f "$conf" ]] && cp "$default_conf" "$conf"
title=$(cd $src; python -c "$get_title_script")
latex_conf="[('index', '$name.tex', \"$title\", 'OPNFV', 'manual'),]"
@@ -172,7 +180,16 @@ do
}
if is_top_dir "$dir" ; then
- mv "$output"/* "$OUTPUT_DIR"/
+ # NOTE: Having top level document (docs/index.rst) is not recommended.
+ # It may cause conflicts with other docs (mostly with HTML
+ # folders for contents in top level docs and other document
+ # folders). But, let's try merge of those contents into the top
+ # docs directory.
+ (
+ cd $output
+ find . -type d -print | xargs -I d mkdir -p ../d
+ find . -type f -print | xargs -I f mv -b f ../f
+ )
rm -rf "$output"
fi
diff --git a/utils/test/result_collection_api/dashboard/bottlenecks2Dashboard.py b/utils/test/result_collection_api/dashboard/bottlenecks2Dashboard.py
new file mode 100755
index 000000000..f9e434226
--- /dev/null
+++ b/utils/test/result_collection_api/dashboard/bottlenecks2Dashboard.py
@@ -0,0 +1,99 @@
+#!/usr/bin/python
+#
+##############################################################################
+# Copyright (c) 2015 Huawei Technologies Co.,Ltd and other.
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+#
+# This script is used to build dashboard ready json results
+# It may be used for all the test case of the Bottlenecks project
+# a new method format_<Test_case>_for_dashboard(results)
+# v0.1: basic example with methods for Rubbos.
+#
+
+
+def get_bottlenecks_cases():
+ """
+ get the list of the supported test cases
+ TODO: update the list when adding a new test case for the dashboard
+ """
+ return ["rubbos"]
+
+
+def check_bottlenecks_case_exist(case):
+ """
+ check if the testcase exists
+ if the test case is not defined or not declared in the list
+ return False
+ """
+ bottlenecks_cases = get_bottlenecks_cases()
+
+ if case is None or case not in bottlenecks_cases:
+ return False
+ else:
+ return True
+
+
+def format_bottlenecks_for_dashboard(case, results):
+ """
+ generic method calling the method corresponding to the test case
+ check that the testcase is properly declared first
+ then build the call to the specific method
+ """
+ if check_bottlenecks_case_exist(case):
+ cmd = "format_" + case + "_for_dashboard(results)"
+ res = eval(cmd)
+ else:
+ res = []
+ print "Test cases not declared"
+ return res
+
+
+def format_rubbos_for_dashboard(results):
+
+ """
+ Post processing for the Rubbos test case
+ """
+ test_data = [{'description': 'Rubbos results'}]
+
+ # Graph 1:
+ # ********************************
+ new_element = []
+ for each_result in results:
+ throughput_data = [record['throughput'] for record in each_result['details']]
+ new_element.append({'x': each_result['creation_date'],
+ 'y': max(throughput_data)})
+
+ test_data.append({'name': "Rubbos max throughput",
+ 'info': {'type': "graph",
+ 'xlabel': 'time',
+ 'ylabel': 'maximal throughput'},
+ 'data_set': new_element})
+ return test_data
+
+
+# for local test
+import json
+
+
+def _test():
+ print('Post processing for the Rubbos test case begin<--')
+ results = '[{"details":[{"client":200,"throughput":20},{"client":300,"throughput":50}],"project_name":' \
+ '"bottlenecks","pod_name":"unknown-pod","version":"unknown","installer":"fuel","description":' \
+ '"bottlenecks test cases result","_id":"56793f11514bc5068a345da4","creation_date":' \
+ '"2015-12-22 12:16:17.131438","case_name":"rubbos"},{"details":[{"client":200,"throughput":25},' \
+ '{"client":300,"throughput":52}],"project_name":"bottlenecks","pod_name":"unknown-pod","version":' \
+ '"unknown","installer":"fuel","description":"bottlenecks test cases result","_id":' \
+ '"56793f11514bc5068a345da4","creation_date":"2015-12-23 12:16:17.131438","case_name":"rubbos"}]'
+
+ print("the output is:")
+ print(format_rubbos_for_dashboard(json.loads(results)))
+ print('Post processing for the Rubbos test case end<--')
+
+
+if __name__ == '__main__':
+ _test()